Filesystem
RemoveWatcher
POST
/
filesystem.Filesystem
/
RemoveWatcher
RemoveWatcher
curl --request POST \
--url https://sandbox.{domain}/filesystem.Filesystem/RemoveWatcher \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'E2b-Sandbox-Id: <e2b-sandbox-id>' \
--header 'E2b-Sandbox-Port: <e2b-sandbox-port>' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"watcherId": "<string>"
}
'import requests
url = "https://sandbox.{domain}/filesystem.Filesystem/RemoveWatcher"
payload = { "watcherId": "<string>" }
headers = {
"E2b-Sandbox-Id": "<e2b-sandbox-id>",
"E2b-Sandbox-Port": "<e2b-sandbox-port>",
"Connect-Protocol-Version": "<connect-protocol-version>",
"X-Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'E2b-Sandbox-Id': '<e2b-sandbox-id>',
'E2b-Sandbox-Port': '<e2b-sandbox-port>',
'Connect-Protocol-Version': '<connect-protocol-version>',
'X-Access-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({watcherId: '<string>'})
};
fetch('https://sandbox.{domain}/filesystem.Filesystem/RemoveWatcher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"code": 123,
"sandboxID": "<string>"
}Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Headers
Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.
Port envd listens on inside the sandbox (default 49983).
Define the version of the Connect protocol
Define the timeout, in ms
Body
application/json
Response
Success
The response is of type RemoveWatcherResponse · object.
Was this page helpful?
⌘I
RemoveWatcher
